	  program another
      integer a,b,c
	  a=1
      do 10 b=1,10
        c=b+1
10	  continue
      call sub4(c,a)
      b=2+3
      b = fun1(b)
      end

      subroutine sub4(x,a)
      integer x
      a=a+1
      return
      end

      function fun1(x)
      integer x
      fun1 = x + 1
      return
      end
